#include <bits/stdc++.h>
using namespace std;
int main ()
{
	ifstream f1("RN.INP");
	ofstream f2("RN.OUT");
	int n,i,tg,max=0,d=1,vt;
	f1>>n;
	int a[1000];
	for (i=1;i<=n;i++)
	{
		f1 << a[i];	}
		for (i=1;i<=n;i++)
		{
			if (a[n]<a[1])
			{int k=a[n];
			for (i=n;i>=2;i--)
			{a[i]=a[i-1];
			}
			a[1]=k;
			}
			else {break;
			}
		}
		for (i=1;i<=n;i++)
		{
			if (a[i]<a[i+1])
		{d++; if (max<d)
		{max=d;
		}
		}
		else (d=1;)
		}
		for (i=vt-max+1;i<=vt;i++)
		{f2<<a[i]<<"";
		}
		return 0;
}
